### Function

# Camel util_bdata_put_string

since: 3.24

#### Declaration [src]

    void
    camel_util_bdata_put_string (
      GString* bdata_str,
      const gchar* value
    )

#### Description [src]

Puts the string `value` at the end of the `bdata_str`. In case the `bdata_str` is not empty a space is added before the string `value`. The stored value can be read back with the camel_util_bdata_get_string().

The strings are encoded as “length-value”, quotes for clarity only.

Available since: 3.24

#### Parameters

`bdata_str`

  Type: `GString`

  A `GString` to store a backend specific data (bdata).

  The data is owned by the caller of the function.

`value`

  Type: `const gchar*`

  A value to store.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.